Uploaded image for project: 'Qpid Proton'
  1. Qpid Proton
  2. PROTON-2016

[go] Fix incorrect version check in Go code.

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: proton-c-0.27.0
    • Fix Version/s: proton-c-0.27.1
    • Component/s: None
    • Labels:
      None

      Description

      The version check in amqp/version.go should check for proton >= 0.10, the Go binding does not depend on any proton-C core API's that have changed since then. The version was check was incorrectly updated to the current version 0.27, which breaks the go binding with older proton-C installations.

      Needs to be fixed on master and go1 branch.

        Attachments

          Activity

            People

            • Assignee:
              aconway Alan Conway
              Reporter:
              aconway Alan Conway
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: